//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializearticle")
inline fun article(block: gg.dsepractice.chinese.v1alpha1.ArticleKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.Article =
  gg.dsepractice.chinese.v1alpha1.ArticleKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.Article.newBuilder()).apply { block() }._build()
object ArticleKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.Article.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.Article.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.Article = _builder.build()

    /**
     * <code>string id = 1 [json_name = "id"];</code>
     */
    var id: kotlin.String
      @JvmName("getId")
      get() = _builder.getId()
      @JvmName("setId")
      set(value) {
        _builder.setId(value)
      }
    /**
     * <code>string id = 1 [json_name = "id"];</code>
     */
    fun clearId() {
      _builder.clearId()
    }

    /**
     * <code>string name = 2 [json_name = "name"];</code>
     */
    var name: kotlin.String
      @JvmName("getName")
      get() = _builder.getName()
      @JvmName("setName")
      set(value) {
        _builder.setName(value)
      }
    /**
     * <code>string name = 2 [json_name = "name"];</code>
     */
    fun clearName() {
      _builder.clearName()
    }

    /**
     * <code>bool is_unlisted = 3 [json_name = "isUnlisted"];</code>
     */
    var isUnlisted: kotlin.Boolean
      @JvmName("getIsUnlisted")
      get() = _builder.getIsUnlisted()
      @JvmName("setIsUnlisted")
      set(value) {
        _builder.setIsUnlisted(value)
      }
    /**
     * <code>bool is_unlisted = 3 [json_name = "isUnlisted"];</code>
     */
    fun clearIsUnlisted() {
      _builder.clearIsUnlisted()
    }

    /**
     * <code>bool is_own_unlisted = 4 [json_name = "isOwnUnlisted"];</code>
     */
    var isOwnUnlisted: kotlin.Boolean
      @JvmName("getIsOwnUnlisted")
      get() = _builder.getIsOwnUnlisted()
      @JvmName("setIsOwnUnlisted")
      set(value) {
        _builder.setIsOwnUnlisted(value)
      }
    /**
     * <code>bool is_own_unlisted = 4 [json_name = "isOwnUnlisted"];</code>
     */
    fun clearIsOwnUnlisted() {
      _builder.clearIsOwnUnlisted()
    }
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.Article.copy(block: gg.dsepractice.chinese.v1alpha1.ArticleKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.Article =
  gg.dsepractice.chinese.v1alpha1.ArticleKt.Dsl._create(this.toBuilder()).apply { block() }._build()

